SystemOrganization addCategory: #'DripfeedIt-Webapplication'!

!WAHtmlCanvas methodsFor: '*dripfeedit-webapplication' stamp: 'PhilippeBack 6/21/2013 14:32'!
bold
	^ self tag: 'b'! !

!WAHtmlCanvas methodsFor: '*dripfeedit-webapplication' stamp: 'PhilippeBack 6/21/2013 14:32'!
bold: aBlock
	self bold with: aBlock! !

!WAHtmlCanvas methodsFor: '*dripfeedit-webapplication' stamp: 'PhilippeBack 6/21/2013 13:59'!
italic
	^ self tag: 'i'! !

!WAHtmlCanvas methodsFor: '*dripfeedit-webapplication' stamp: 'PhilippeBack 6/21/2013 14:00'!
italic: aBlock
	self italic with: aBlock! !

WATask subclass: #DFITask
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

DFITask subclass: #DFIDemoTask
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFIDemoTask methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 7/17/2013 01:21'!
go

	| number guess |
	
	 number := 100 atRandom.
    
	[ guess := (self request: 'Enter your guess') asNumber.
        guess < number
            ifTrue: [ self inform: 'Your guess was too low' ].
        guess > number
            ifTrue: [ self inform: 'Your guess was too high' ].
        guess = number ] whileFalse.
    self inform: 'You got it!!'! !

WAFileLibrary subclass: #DFIEatWellFileLibrary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

WAComponent subclass: #DFIView
	instanceVariableNames: 'parent responder'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFIView commentStamp: '<historical>' prior: 0!
A DFIView is the top of the DFI hierarchy

Instance Variables
	parent:		<Object>
	responder:		<Object>

parent
	- currently not that well used

responder
	- points to the responder object (usually a parent component) that will handle the actions
!

DFIView subclass: #DFIEatwellActionsView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFIEatwellActionsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/24/2013 21:14'!
renderContentOn: html

! !

DFIView subclass: #DFIEatwellErrorsView
	instanceVariableNames: 'messages'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFIEatwellErrorsView commentStamp: '<historical>' prior: 0!
A DFIEatwellErrorsView displays errors !

!DFIEatwellErrorsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/22/2013 11:31'!
append: message
   self messages add: message
! !

!DFIEatwellErrorsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/22/2013 11:50'!
clear
   
   messages := nil! !

!DFIEatwellErrorsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/22/2013 01:18'!
messages
   ^messages ifNil: [ messages := OrderedCollection new ] ! !

!DFIEatwellErrorsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/22/2013 11:52'!
renderContentOn: html

    self messages do: [ :each | 
	 html div class:'alert alert-info'; with: [ 
	   html paragraph: each 
	]
]
! !

DFIView subclass: #DFIEatwellFooterView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFIEatwellFooterView commentStamp: '<historical>' prior: 0!
Footer of the webpage!

!DFIEatwellFooterView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/21/2013 17:06'!
renderContentOn: html

  html div id: 'footer'; with: [
	   html twbsContainer with: [  
 	   html paragraph class: 'muted credit'; with: [ html html: '&copy; High Octane SPRL 2013' ]
	
	]
  ]. 
  ! !

DFIView subclass: #DFIEatwellForgetView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFIEatwellForgetView commentStamp: '<historical>' prior: 0!
A DFIEatwellForgetView is handling forgotten passwords!

!DFIEatwellForgetView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/18/2013 10:34'!
renderContentOn: html

  html html: 'Forget password - reset?'! !

DFIView subclass: #DFIEatwellHelpView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFIEatwellHelpView commentStamp: '<historical>' prior: 0!
Help for the user!

!DFIEatwellHelpView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/21/2013 17:13'!
renderContentOn: html

  html html: 'Help'! !

DFIView subclass: #DFIEatwellHomeView
	instanceVariableNames: 'report'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFIEatwellHomeView commentStamp: '<historical>' prior: 0!
Page that one sees when not logged in!

!DFIEatwellHomeView methodsFor: 'rendering' stamp: 'PhilippeBack 6/13/2013 18:11'!
children 
	^Array with: self report! !

!DFIEatwellHomeView methodsFor: 'rendering' stamp: 'PhilippeBack 7/18/2013 00:03'!
renderActionsOn: html for: nutrient

| id |

	html document addLoadScript: (html jQuery: 'div.actions') hide.
	
	html tableData with: [  
		"#('Edit' 'Delete') asOrderedCollection do: [ :each |
			html anchor class: 'btn btn-mini';
			callback: [
				 
				 ]; 
			with: each asString"
		
		"html anchor class:'action';
		onClick: ((html jQuery this) after: [:r | r div: [ r text: 'HELLO' ]]);
      		with: 'jQuery'.
		"

		id := html nextId.
				
		
		
	html anchor
 	    onClick: (html jQuery: 'div.actions') hide; "Hides all div.test elements"
	    onClick: (html jQuery id: id) toggle;
  	    with: 'Actions'.
	
	html  div class: 'actions'; id: id;
     			with: [
				html anchor class: 'btn btn-mini';
				callback: [  
					  self call: ((DFINutrientView new) nutrient: nutrient; yourself)
				];
   	   			with: 'Modifier'.
				html anchor class: 'btn btn-mini';
				callback: [  
					 (self confirm: 'Are you sure that you want to remove this nutrient?', nutrient nutrient)
       					 ifTrue: [ DFINutrients default remove: nutrient ]
				];
   	   			with: 'Supprimer'.
		"		html anchor: 'Do this'.
				html anchor: 'Do that'.
				html anchor: 'Do other'.
		"	].
		
"		html div class: 'test'; with: [ 
			html anchor class: 'test btn btn-mini';
				callback: [  
					  self call: ((DFINutrientView new) nutrient: nutrient; yourself)
				];
   	   			with: 'Modifier'.
		

		].
	
"	

"html div
     id: (id := html nextId);
     with: child.
 
html anchor class: 'test';
   onClick: ((html jQuery id: id) load
         html: [ :r | 
             child := DFIMealsView new.
             r  render: child ]);
     with: 'Change Component'."


"html anchor
     onClick: (html jQuery: 'div.test') hide,((html jQuery this children show));
     with: 'XYZE'."

]


! !

!DFIEatwellHomeView methodsFor: 'rendering' stamp: 'PhilippeBack 6/13/2013 18:15'!
renderContentOn: html

"  self renderPhilippeOn: html."

  self session isLoggedIn ifFalse: [ 
	  self renderIntroOn: html
  ] ifTrue: [ 

   html render: self report.
	
	self renderNutrientsOn: html.

        html anchor class: 'btn btn-primary';
				callback: [ 
					(self call: DFINutrientView new) ifNotNil: [ :newNutrient | DFINutrient add: newNutrient ]
				 ];
				with: 'Ajouter'.
  ]! !

!DFIEatwellHomeView methodsFor: 'rendering' stamp: 'PhilippeBack 6/22/2013 10:51'!
renderIntroOn: html
html div
		class: 'hero-unit';
		with: [ 
					html heading level1 with: 'EatWell'.
					html paragraph with: 'Moving to top shape one meal at a time.'.
					html
						paragraph: [ 
							html anchor
								class: 'btn btn-primary btn-large';
								callback: [ self learnMore ];
								with: 'Learn more' ] ].
	! !

!DFIEatwellHomeView methodsFor: 'rendering' stamp: 'PhilippeBack 6/23/2013 18:08'!
renderNutrientsOn: html

	html heading: 'Nutriments'.

	html table class:'table table-striped'; with: [
"paragraph: ('{1} : ajr {2} ajo: {3}' format: { each nutrient. each ajr. each ajo}).
	"		
		html tableRow with: [
			#( 'Actions' 'Nutriment' 'Ajr' 'Ajo' 'Utilisation') asOrderedCollection do: [ :each | html tableHeading: each ].
		].    

		DFINutrient all do: [ :each |
			
			html tableRow with: [    
				self renderActionsOn: html for: each.
				html tableData: each nutrient. 
				html tableData: each ajr.
				html tableData: each ajo.
				html tableData: each usage.
			
			].
		]
	]! !

!DFIEatwellHomeView methodsFor: 'rendering' stamp: 'PhilippeBack 6/24/2013 22:12'!
renderPhilippeOn: html

 | s1 choices |
 choices := #('one' 'two' 'three').
 choices do: [ :e |
 	html div
 	 class: e;
 	 with: [
 	 html text: e.
 	 ].
 ].

 choices do: [ :e |
 	s1 := html jQuery ajax
 	 script: [ :s | 
 	 choices do: [ :e2 |
 	 e = e2 ifTrue: [
 	 s << (html jQuery expression: 'div.',e2) show.
 	 ] ifFalse: [
 	 s << (html jQuery expression: 'div.',e2) hide.
 	 ].
 	 ].
 	 ].
 	html div: [
 	 html anchor class:'action';
 	 onClick: s1;
 	 with: 'Show only ',e.
 	].
 ].! !

!DFIEatwellHomeView methodsFor: 'rendering' stamp: 'PhilippeBack 6/13/2013 18:13'!
report
   ^report ifNil: [  WATableReport new
		rows: WAComponent allSubclasses asArray;
		columns: (OrderedCollection new
			add: (WAReportColumn
				selector: #fullName title: 'Name'
				onClick: [ :each | self inform: each description onAnswer: [ ] ]);
			add: ((WAReportColumn
				selector: #canBeRoot title: 'Can Be Root')
				sortBlock: [ :a :b | a ]);
			add: (WAReportColumn
				renderBlock: [ :each :html | html emphasis: each description ]
				title: 'Description');
			yourself);
		rowColors: #(lightblue lightyellow);
		rowPeriod: 1;
		yourself.
	]
	! !

!DFIEatwellHomeView methodsFor: 'rendering' stamp: 'PhilippeBack 6/24/2013 22:52'!
x_renderActionsOn: html for: nutrient

| id child s1 |

	html tableData with: [  
		"#('Edit' 'Delete') asOrderedCollection do: [ :each |
			html anchor class: 'btn btn-mini';
			callback: [
				 
				 ]; 
			with: each asString"
		
		"html anchor class:'action';
		onClick: ((html jQuery this) after: [:r | r div: [ r text: 'HELLO' ]]);
      		with: 'jQuery'.
		"
	s1 := html jQuery ajax
 	 script: [ :s | 
 	 s << (html jQuery expression: 'div.test') hide.
 	 s << (html jQuery this children show).
	s << '/* CRAP */'
 	].

 "s1 explore."
 html anchor class:'action';
  onClick: s1;
  with: 'ACTIONS**'.
			
		
		
		html div class: 'test'; with: [ 
			html anchor class: 'test btn btn-mini';
				callback: [  
					  self call: ((DFINutrientView new) nutrient: nutrient; yourself)
				];
   	   			with: 'Modifier'.

			html anchor: 'Do this'.
			html anchor: 'Do that'.
			html anchor: 'Do other'.

		].
	
	
	 html div id: #date.
 html div id: #time.
 
 html anchor
     onClick: (html jQuery ajax script: [ :s |
         s << (s jQuery: #date)
             html: [ :r | r render: Date today ].
         s << (s jQuery: #time)
             html: [ :r | r render: Time now ] ]);
     with: 'Update'.

child := 'ACHILD'.

html div
     id: (id := html nextId);
     with: child.
 
html anchor class: 'test';
   onClick: ((html jQuery id: id) load
         html: [ :r | 
             child := DFIMealsView new.
             r  render: child ]);
     with: 'Change Component'.


html anchor
     onClick: (html jQuery: 'div.test') hide,((html jQuery this children show));
     with: 'XYZE'.


]
! !

DFIView subclass: #DFIEatwellLoginView
	instanceVariableNames: 'username password loginError'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFIEatwellLoginView commentStamp: '<historical>' prior: 0!
Loign panel
!

!DFIEatwellLoginView methodsFor: 'accessing' stamp: 'PhilippeBack 6/18/2013 10:28'!
password
   ^password! !

!DFIEatwellLoginView methodsFor: 'accessing' stamp: 'PhilippeBack 6/18/2013 10:28'!
password: aPassword

	password := aPassword! !

!DFIEatwellLoginView methodsFor: 'rendering' stamp: 'PhilippeBack 7/17/2013 02:04'!
renderContentOn: html
	self session isLoggedIn
		ifTrue: [html text: 'Logged in as: ' , self session username , ' '.
			html anchor class: 'btn';
				
				callback: [self responder signout];
				
				with: [html italic class: 'icon-off'.
					html text: 'Logout']]
		ifFalse: [
			html form class: 'navbar-form pull-right';
				with: [ 
					html textInput class: 'span2'; twbsPlaceholderText: 'Email';callback: [ :value | self username: value].
					html space.
					html textInput class: 'span2'; twbsPlaceholderText: 'Password';callback: [ :value | self password: value].
					"Ugly hack for the button as it seems that the TWBS version we have isn't that cool"
	         			html submitButton style: 'margin-top:10px'; class: 'btn btn-large'; callback: [self responder login: self username password: self password];  with: 'Sign in'.
					 ].		
				]! !

!DFIEatwellLoginView methodsFor: 'accessing' stamp: 'PhilippeBack 6/18/2013 10:28'!
username
  ^username! !

!DFIEatwellLoginView methodsFor: 'accessing' stamp: 'PhilippeBack 6/18/2013 10:28'!
username: aUsername

	username := aUsername ! !

DFIView subclass: #DFIEatwellNavbarView
	instanceVariableNames: 'loginView demoTask'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFIEatwellNavbarView commentStamp: '<historical>' prior: 0!
Full navbar on top

<form class="navbar-form pull-right">
              <input class="span2" type="text" placeholder="Email">
              <input class="span2" type="password" placeholder="Password">
              <button type="submit" class="btn">Sign in</button>
            </form>


!

!DFIEatwellNavbarView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 7/17/2013 01:39'!
children 
	^Array with: loginView with: demoTask! !

!DFIEatwellNavbarView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 7/17/2013 01:41'!
demoTask
	^demoTask ifNil: [demoTask := DFIDemoTask new]! !

!DFIEatwellNavbarView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/18/2013 10:47'!
initialize 
	super initialize.
	loginView := DFIEatwellLoginView new.! !

!DFIEatwellNavbarView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 7/17/2013 01:49'!
renderContentOn: html
	html
		html:
			'
<div class="navbar navbar-inverse navbar-fixed-top">
      <div class="navbar-inner">
        <div class="container">
          <button type="button" class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
            <span class="icon-bar">X</span>
            <span class="icon-bar">Y</span>
            <span class="icon-bar">Z</span>
          </button>
          <a class="brand" href="#">EatWell</a>'.
	html div
		class: 'nav-collapse collapse';
		with: [ 
					html unorderedList
						class: 'nav';
						with: [ 
									html listItem
										class: 'active';
										with: [ 
													html anchor
														callback: [self call: self demoTask];
														with: 'Home*'].
									html listItem
										class: 'active';
										with: [ 
													html anchor
														url: '#';
														with: 'About' ].
									html listItem
										class: 'active';
										with: [ 
													html anchor
														url: '#';
														with: 'Contact' ].
									self renderGear: html	"html: 'Settings'."
									 ].
	
	html render: loginView.
	].
	html
		html:
			'</div><!!--/.nav-collapse -->
        </div>
      </div>
    </div>'! !

!DFIEatwellNavbarView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/21/2013 16:32'!
renderGear: html
	^ self session isLoggedIn
		ifTrue: [ 
			html listItem
				class: 'dropdown';
				with: [ 
							html anchor
								url: '#';
								class: 'dropdown-toggle';
								twbsDataToggleDropDown;
								with: [ 
											html twbsIcon: 'nav-session'.
											html twbsIcon: 'active icon-cog icon-white'.	"html: 'Settings'."
											html bold class: 'caret' ].
							html unorderedList
								class: 'dropdown-menu';
								with: [ 
											html listItem
												with: [ 
													html anchor
														callback: [ self responder editProfile ];
														with: 'Edit Profile' ].
											html listItem class: 'divider'.
											html listItem
												with: [ 
													html anchor
														callback: [ self responder showHelp ];
														with: 'Help' ].
											html listItem
												with: [ 
													html anchor
														callback: [ self responder showSettings ];
														with: 'Settings' ].
											html listItem
												with: [ 
													html anchor
														callback: [ self responder signout ];
														with: 'Sign out' ] ] ] ]! !

!DFIEatwellNavbarView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/18/2013 10:56'!
responder: aResponder
   "Give the same responder for all parts of the navbar"
   super responder: aResponder.
   loginView responder: aResponder
   ! !

DFIView subclass: #DFIEatwellProfileView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFIEatwellProfileView commentStamp: '<historical>' prior: 0!
Profile of the user!

!DFIEatwellProfileView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/21/2013 16:16'!
renderContentOn: html

  html html: 'Profile'! !

DFIView subclass: #DFIEatwellSettingsView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFIEatwellSettingsView commentStamp: '<historical>' prior: 0!
General settings!

!DFIEatwellSettingsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/21/2013 17:13'!
renderContentOn: html

  html html: 'Settings'! !

DFIView subclass: #DFIEatwellView
	instanceVariableNames: 'contentView navbarView footerView errorsView homeView'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFIEatwellView commentStamp: '<historical>' prior: 0!
WAAdmin register: DFIEatwellComponent asApplicationAt: 'eatwell'.

Master Component - the application!

!DFIEatwellView class methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 23:02'!
description
	^'EatWell Application'! !

!DFIEatwellView class methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/23/2013 17:02'!
initialize
	"Autoregisters the component"

	"self initialize"

	self register! !

!DFIEatwellView class methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/23/2013 17:02'!
register
	| registration |
	WAAdmin unregister: 'eatwell'.
	registration := WAAdmin register: self asApplicationAt: 'eatwell'.
	registration addLibrary: JQDevelopmentLibrary.
	registration addLibrary: TWBSDevelopmentLibrary.
	registration addLibrary: JQUiDevelopmentLibrary! !

!DFIEatwellView methodsFor: 'actions' stamp: 'PhilippeBack 6/21/2013 16:22'!
add
	contentView := DFIMealsView new.! !

!DFIEatwellView methodsFor: 'accessing' stamp: 'PhilippeBack 6/13/2013 18:09'!
children 
	^Array with: contentView with: navbarView with: footerView with: errorsView! !

!DFIEatwellView methodsFor: 'accessing' stamp: 'PhilippeBack 6/22/2013 10:48'!
contentView
	^self session isLoggedIn ifFalse: [ contentView := self homeView ] ifTrue: [ contentView ]! !

!DFIEatwellView methodsFor: 'actions' stamp: 'PhilippeBack 6/21/2013 16:23'!
editProfile
	contentView := (DFIEatwellProfileView new) responder: self.! !

!DFIEatwellView methodsFor: 'accessing' stamp: 'PhilippeBack 6/22/2013 11:30'!
errorsView
   ^errorsView! !

!DFIEatwellView methodsFor: 'accessing' stamp: 'PhilippeBack 6/22/2013 10:49'!
homeView
  ^homeView! !

!DFIEatwellView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/22/2013 11:28'!
initialize
	super initialize.
	
	 navbarView := (DFIEatwellNavbarView new) responder: self.

	 footerView := (DFIEatwellFooterView new) responder: self.
	
	errorsView  := (DFIEatwellErrorsView new) responder: self.
	
	homeView := (DFIEatwellHomeView new) responder: self.
	
	contentView := homeView
! !

!DFIEatwellView methodsFor: 'actions' stamp: 'PhilippeBack 6/5/2013 00:34'!
learnMore
	
  ! !

!DFIEatwellView methodsFor: 'actions' stamp: 'PhilippeBack 6/2/2013 17:29'!
listMeal! !

!DFIEatwellView methodsFor: 'actions' stamp: 'PhilippeBack 6/22/2013 11:47'!
login: username password: password

    self errorsView clear.

    self session login: username password: password.
    self session isLoggedIn ifFalse: [ 
	   self errorsView append: 'Wrong username or password.'.
    ]
  

  
! !

!DFIEatwellView methodsFor: 'actions' stamp: 'PhilippeBack 6/21/2013 15:44'!
registerMeal! !

!DFIEatwellView methodsFor: 'rendering' stamp: 'PhilippeBack 6/22/2013 11:26'!
renderContentOn: html 
	html render: navbarView.
	(html div)
		id: 'wrap';
		with: 
				[(html div)
					class: 'container';
					with: 
							[(html div)
								class: 'row';
								with: 
										[(html div)
											class: 'span12';
											with: [html render: self errorsView.
												html render: self contentView]]]].
	html render: footerView! !

!DFIEatwellView methodsFor: 'rendering' stamp: 'PhilippeBack 6/3/2013 23:25'!
renderListOn: html
	html orderedList
		with: [ 
			html listItem: 'Item 1'.
			html listItem: 'Item 2' ]! !

!DFIEatwellView methodsFor: 'rendering' stamp: 'PhilippeBack 6/5/2013 00:08'!
renderLoginOn: html
    self session isLoggedIn
        ifTrue: [
            html text: 'Logged in as: ' , self session username , ' '.
            html anchor class: 'btn';
                callback: [ self logout ];
                with: [
				html italic class: 'icon-off'.
				html text:'Logout' ]
			]
        ifFalse: [
            html anchor class: 'btn';
                callback: [ self login ];
                with: 'Login']! !

!DFIEatwellView methodsFor: 'rendering' stamp: 'PhilippeBack 6/4/2013 11:50'!
renderSamplesOn: html
	self renderListOn: html.
	self renderTableOn: html.
	html horizontalRule! !

!DFIEatwellView methodsFor: 'rendering' stamp: 'PhilippeBack 6/3/2013 23:24'!
renderTableOn: html
	^ html
		table: [ 
			html
				tableRow: [ 
					html tableHeading: 'Calendars'.
					html tableData: '1/1/2006'.
					html tableData: 'Track events, holidays etc' ].
			html
				tableRow: [ 
					html tableHeading: 'Todo lists'.
					html tableData: '5/1/2006'.
					html tableData: 'Keep track of all the things to remember to do.' ].
			html
				tableRow: [ 
					html tableHeading: 'Shopping carts'.
					html tableData: '8/1/2006'.
					html tableData: 'Enable your customers to shop online.' ] ]! !

!DFIEatwellView methodsFor: 'actions' stamp: 'PhilippeBack 6/21/2013 16:27'!
showHelp

contentView := (DFIEatwellHelpView new) responder: self.! !

!DFIEatwellView methodsFor: 'actions' stamp: 'PhilippeBack 6/21/2013 15:42'!
showMeals
     contentView := DFIMealsView new.! !

!DFIEatwellView methodsFor: 'actions' stamp: 'PhilippeBack 6/21/2013 16:24'!
showSettings
contentView := (DFIEatwellSettingsView new) responder: self.! !

!DFIEatwellView methodsFor: 'actions' stamp: 'PhilippeBack 6/21/2013 17:13'!
signout
   self session logout! !

!DFIEatwellView methodsFor: 'rendering' stamp: 'PhilippeBack 6/5/2013 21:14'!
updateRoot: anHtmlRoot
    super updateRoot: anHtmlRoot.
"    DFIEatWellFileLibrary default updateRoot: anHtmlRoot."
   "anHtmlRoot stylesheet url: 'http://seaside.st/styles/main.css' "
"    anHtmlRoot stylesheet url: (DFIEatWellFileLibrary urlOf: #mainCss)."
	anHtmlRoot title: 'Eat Well'
! !

DFIView subclass: #DFIMealsView
	instanceVariableNames: 'nutrientsView'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFIMealsView commentStamp: '<historical>' prior: 0!
List of meals!

!DFIMealsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 12:05'!
children
  	^Array with: nutrientsView! !

!DFIMealsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 00:15'!
initialize
	super initialize.
"	self addDecoration: (WAWindowDecoration new title:'MEALS')"! !

!DFIMealsView methodsFor: 'rendering' stamp: 'PhilippeBack 6/21/2013 17:10'!
renderCommandsOn: html
	html anchor class: 'btn';
		callback: [ self registerMeal ];
		with: 'register meal'.
	html space.
	html anchor class: 'btn';
		callback: [  self showMeals ];
		with: 'show meals'.
	html space.
	html anchor class: 'btn';
	    callback: [ self show: (WAInspector current on: self session) ];
	    with: 'Inspect Session'
		! !

!DFIMealsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/18/2013 10:39'!
renderContentOn: html



   self renderDateOn: html.
   self renderCommandsOn: html.	"self renderSamplesOn: html."
				
   html heading level2 with: 'All Meals'.
   self session user days do: [ :day |
            self renderDay: day on: html ] ! !

!DFIMealsView methodsFor: 'rendering' stamp: 'PhilippeBack 6/21/2013 17:11'!
renderDateOn: html
	html
		paragraph: [ 
			html render: 'today: '.
			html render: Date today ]! !

!DFIMealsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 00:19'!
renderDay: day on: html
	html heading level3 with: ('Meals of ', day date asString).
	self renderMeals: day on: html! !

!DFIMealsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 11:38'!
renderFood: food on: html

	html render: food name.
	html space.
	html anchor
		callback: [ self showNutrients ];
		with: 'nutrients'.
	html break.
		
	
! !

!DFIMealsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 00:22'!
renderMeal: meal on: html


	| details |
	details := 'Meal @', meal hour asString, ':', meal minutes asString, ' weighing: ', meal weight asString, ' grams'.
	html heading level4 with: details.

	self renderMealComposition: meal on: html ! !

!DFIMealsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/5/2013 00:38'!
renderMealComposition: meal on: html
    html heading level5 with: 'Composition'.

	html
		table class: 'table table-striped table-hover table-bordered'; with: [
			html tableRow: [ 
				html tableHeading: 'Quantity'.
				html tableHeading: 'Food'.
				html tableHeading: 'Actions' ].
			meal composition do: [ :mealDetail |
			html tableRow: [ 
					html tableData: mealDetail quantity asString.
					html tableData: mealDetail food name.
					html tableData: [ 
						html anchor
							callback: [  self showNutrients ];
							with: 'nutrients'
						 ]
				]
		 	]    
	]    
 

! !

!DFIMealsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 11:42'!
renderMeals: day on: html
	day meals
		do: [ :meal | 
			self renderMeal: meal on: html.
]! !

!DFIMealsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 11:48'!
showNutrients
	self inform: 'Not yet done but soon will'.
    ! !

DFIView subclass: #DFINutrientView
	instanceVariableNames: 'nutrientComponent nutrient'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFINutrientView class methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/22/2013 15:03'!
label
   ^'Nutriment'! !

!DFINutrientView methodsFor: 'hooks' stamp: 'PhilippeBack 6/22/2013 15:01'!
children 
	^Array with: self nutrientComponent! !

!DFINutrientView methodsFor: 'accessing' stamp: 'PhilippeBack 6/22/2013 15:04'!
nutrient
	^ nutrient ifNil: [  nutrient := DFINutrient new ]! !

!DFINutrientView methodsFor: 'accessing' stamp: 'PhilippeBack 6/22/2013 15:05'!
nutrient: aNutrient
	nutrient := aNutrient! !

!DFINutrientView methodsFor: 'accessing' stamp: 'PhilippeBack 6/22/2013 15:02'!
nutrientComponent

	^ nutrientComponent ifNil: [ 
		nutrientComponent := self nutrient asComponent 
			addValidatedForm;
			addMessage: self class label;
			onAnswer: [ :value | self answer: value ];
			yourself ]! !

!DFINutrientView methodsFor: 'updating' stamp: 'PhilippeBack 6/22/2013 15:06'!
updateRoot: anHtmlRoot 
	anHtmlRoot addStyle: 'textarea {
	width: 500px;
}'! !

DFIView subclass: #DFINutrientsView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFINutrientsView commentStamp: '<historical>' prior: 0!
List of nutrients!

!DFINutrientsView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/21/2013 16:17'!
renderContentOn: html

  html html: 'Nutrients'! !

!DFIView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/21/2013 15:28'!
parent
	^parent! !

!DFIView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/21/2013 15:28'!
parent: aParentComponent
   parent := aParentComponent ! !

!DFIView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/21/2013 15:33'!
responder
   ^responder ifNil: [ ^self ]! !

!DFIView methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/21/2013 15:33'!
responder: aResponder
   responder := aResponder! !

WASession subclass: #DFISession
	instanceVariableNames: 'user'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-Webapplication'!

!DFISession commentStamp: '<historical>' prior: 0!
A DFISession is a custom Seaside session who knows about the logged in user.

Instance Variables
	user:		<Object>

user
	- logged in instance of a DFIUser
!

!DFISession methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 13:55'!
database
  ^DFIUsers default
 ! !

!DFISession methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 12:50'!
isLoggedIn
    ^ user isNil not! !

!DFISession methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/18/2013 10:42'!
login: aString password: aPassword

	| lookedUpUser |
      user = nil.
	lookedUpUser := (self database items select: [ :item | item userid = aString ]). 
	(lookedUpUser size = 1) ifTrue: [ user :=  lookedUpUser first].
     	! !

!DFISession methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 14:05'!
logout
    user := nil.
   self flag: #FIXME.
	"self expire"! !

!DFISession methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 12:59'!
unregistered
    super unregistered.
    user := nil! !

!DFISession methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 12:50'!
user
    ^ user! !

!DFISession methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/4/2013 23:28'!
username
    ^ user username! !
DFIEatwellView initialize!
